ReplayState (EasyMock 3.1 API)
Date: 2011-11-10

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock.internal
Class ReplayState

    java.lang.Object
      org.easymock.internal.ReplayState

All Implemented Interfaces:
  Serializable, IMocksControlState

    public class ReplayState

extends Object
implements IMocksControlState, Serializable

Author:
  OFFIS, Tammo Freese
See Also:
  Serialized Form

Constructor Summary
`ReplayState(IMocksBehavior behavior)`

Method Summary
`void` | `andAnswer(IAnswer<?> answer)`
`void` | `andDelegateTo(Object answer)`
`void` | `andReturn(Object value)`
`void` | `andStubAnswer(IAnswer<?> answer)`
`void` | `andStubDelegateTo(Object delegateTo)`
`void` | `andStubReturn(Object value)`
`void` | `andStubThrow(Throwable throwable)`
`void` | `andThrow(Throwable throwable)`
`void` | `assertRecordState()`
`void` | `asStub()`
`void` | `callback(Runnable runnable)`
`void` | `checkIsUsedInOneThread(boolean shouldBeUsedInOneThread)`
`void` | `checkOrder(boolean value)`
`Object` | `invoke(Invocation invocation)`
`void` | `makeThreadSafe(boolean threadSafe)`
`void` | `replay()`
`void` | `setDefaultReturnValue(Object value)`
`void` | `setDefaultThrowable(Throwable throwable)`
`void` | `setDefaultVoidCallable()`
`void` | `times(Range range)`
`void` | `verify()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplayState

    public ReplayState(IMocksBehavior behavior)

Method Detail

### invoke

    public Object invoke(Invocation invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `IMocksControlState`
  Throws:
    `Throwable`

### verify

    public void verify()

  Specified by:
    `verify` in interface `IMocksControlState`

### replay

    public void replay()

  Specified by:
    `replay` in interface `IMocksControlState`

### callback

    public void callback(Runnable runnable)

### checkOrder

    public void checkOrder(boolean value)

  Specified by:
    `checkOrder` in interface `IMocksControlState`

### makeThreadSafe

    public void makeThreadSafe(boolean threadSafe)

  Specified by:
    `makeThreadSafe` in interface `IMocksControlState`

### checkIsUsedInOneThread

    public void checkIsUsedInOneThread(boolean shouldBeUsedInOneThread)

  Specified by:
    `checkIsUsedInOneThread` in interface `IMocksControlState`

### andReturn

    public void andReturn(Object value)

  Specified by:
    `andReturn` in interface `IMocksControlState`

### andThrow

    public void andThrow(Throwable throwable)

  Specified by:
    `andThrow` in interface `IMocksControlState`

### andAnswer

    public void andAnswer(IAnswer<?> answer)

  Specified by:
    `andAnswer` in interface `IMocksControlState`

### andDelegateTo

    public void andDelegateTo(Object answer)

  Specified by:
    `andDelegateTo` in interface `IMocksControlState`

### andStubReturn

    public void andStubReturn(Object value)

  Specified by:
    `andStubReturn` in interface `IMocksControlState`

### andStubThrow

    public void andStubThrow(Throwable throwable)

  Specified by:
    `andStubThrow` in interface `IMocksControlState`

### andStubAnswer

    public void andStubAnswer(IAnswer<?> answer)

  Specified by:
    `andStubAnswer` in interface `IMocksControlState`

### andStubDelegateTo

    public void andStubDelegateTo(Object delegateTo)

  Specified by:
    `andStubDelegateTo` in interface `IMocksControlState`

### asStub

    public void asStub()

  Specified by:
    `asStub` in interface `IMocksControlState`

### times

    public void times(Range range)

  Specified by:
    `times` in interface `IMocksControlState`

### setDefaultReturnValue

    public void setDefaultReturnValue(Object value)

### setDefaultThrowable

    public void setDefaultThrowable(Throwable throwable)

### setDefaultVoidCallable

    public void setDefaultVoidCallable()

### assertRecordState

    public void assertRecordState()

  Specified by:
    `assertRecordState` in interface `IMocksControlState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 OFFIS, Tammo Freese, Henri Tremblay. All Rights Reserved.